package com.javacodegeeks.core.stringtodouble;

public class StringToDoubleClass {

	public static void main(String[] args) {
		
		String doubleTest = "10.0";
		String doubleTest2 = "-0010.0000";
		
		Double d1 = new Double(doubleTest);
		System.out.println("Use of Double constructor: "+ d1);
		
		try {
			// use of valueOf with both test strings
			Double d2 = Double.valueOf(doubleTest);
			System.out.println("Use of valueOf with doubleTest: "+ d2);
			
			Double d2test = Double.valueOf(doubleTest2);
			System.out.println("Use of valueOf with doubleTest2: "+ d2test);
			
			// use of parseDouble with both test strings
			double d3 = Double.parseDouble(doubleTest);
			System.out.println("Use of parseDouble with doubleTest: "+ d3);
			
			double d3test = Double.parseDouble(doubleTest2);
			System.out.println("Use of parseDouble with doubleTest2: "+ d3test);
			
			// give an int-string
			double dInt = Double.parseDouble("12");
			System.out.println("Int to parseDouble: "+ dInt);
			
			// error condition
			Double dError = Double.valueOf("jcg");
			System.out.println("Error to valueOf: "+ dError);
			
		} catch (NumberFormatException  e) {
			System.err.println("NumberFormatException in valueOf, "+ e.getMessage());

		}
		
	}

}
